<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="alarma">
        <h2 class="jh-entity-heading" data-cy="alarmaDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesAlarma.detail.title')">Alarma</span> {{ alarma.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesAlarma.timeInstant')">Time Instant</span>
          </dt>
          <dd>
            <span v-if="alarma.timeInstant">{{ $d(Date.parse(alarma.timeInstant), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAlarma.descripcion')">Descripcion</span>
          </dt>
          <dd>
            <span>{{ alarma.descripcion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAlarma.procedimiento')">Procedimiento</span>
          </dt>
          <dd>
            <span>{{ alarma.procedimiento }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAlarma.titulo')">Titulo</span>
          </dt>
          <dd>
            <span>{{ alarma.titulo }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAlarma.verificar')">Verificar</span>
          </dt>
          <dd>
            <span>{{ alarma.verificar }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAlarma.observaciones')">Observaciones</span>
          </dt>
          <dd>
            <span>{{ alarma.observaciones }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAlarma.prioridad')">Prioridad</span>
          </dt>
          <dd>
            <span>{{ alarma.prioridad }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAlarma.user')">User</span>
          </dt>
          <dd>
            {{ alarma.user ? alarma.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="alarma.id" :to="{ name: 'AlarmaEdit', params: { alarmaId: alarma.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./alarma-details.component.ts"></script>
